inherit_from: .rubocop_todo.yml

inherit_gem:
  gitlab-styles:
    - rubocop-default.yml

AllCops:
  TargetRubyVersion: 3.2
  NewCops: disable

Style/HashSyntax:
  EnforcedStyle: no_mixed_keys

Style/SymbolLiteral:
  Enabled: No

Style/TrailingCommaInArguments:
  Enabled: No # Delegated to rufo

Style/TrailingCommaInHashLiteral:
  Enabled: No # Delegated to rufo

Style/FrozenStringLiteralComment:
  EnforcedStyle: always

Style/TrailingCommaInArrayLiteral:
  EnforcedStyleForMultiline: comma

Style/StringLiterals:
  EnforcedStyle: double_quotes

Style/StringLiteralsInInterpolation:
  EnforcedStyle: double_quotes

Style/Lambda:
  Enabled: false

Layout/LineLength:
  Enabled: false

Layout/SpaceInLambdaLiteral:
  Enabled: No

Layout/SpaceInsideBlockBraces:
  Enabled: No

Layout/FirstParameterIndentation:
  Enabled: No

RSpec/ExampleWording:
  Enabled: false
  CustomTransform:
    be: is
    have: has
    not: does not
  IgnoredWords: []

Lint/HashCompareByIdentity: # (new in 0.93)
  Enabled: true
Lint/RedundantSafeNavigation: # (new in 0.93)
  Enabled: true
Style/ClassEqualityComparison: # (new in 0.93)
  Enabled: true

CodeReuse/ActiveRecord:
  Enabled: false
